/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.model.internal.reference;

import org.junit.Rule;
import org.junit.Test;
import org.xwiki.model.reference.AttachmentReference;
import org.xwiki.model.reference.DocumentReference;
import org.xwiki.test.mockito.MockitoComponentMockingRule;

import static org.junit.Assert.assertEquals;

/**
 * Unit tests for {@link FSPathStringEntityReferenceSerializer}.
 *
 * @version $Id: d5989b28150222c165ff0b106131c8553de457bd $
 * @since 8.4.6
 * @sice 9.4RC1
 */
public class FSPathStringEntityReferenceSerializerTest
{
    @Rule
    public MockitoComponentMockingRule<FSPathStringEntityReferenceSerializer> mocker =
        new MockitoComponentMockingRule<>(FSPathStringEntityReferenceSerializer.class);

    @Test
    public void serialize() throws Exception
    {
        DocumentReference documentReference = new DocumentReference("wik.i", "spac.e", "pag.e");
        AttachmentReference attachmentReference = new AttachmentReference("image.png", documentReference);

        String result = this.mocker.getComponentUnderTest().serialize(attachmentReference);
        assertEquals("wik%2Ei/spac%2Ee/pag%2Ee/image.png", result);
    }
}
